<?php

namespace XenGenTr\XGTStyleV9\Option;

use \XF\Option\AbstractOption;

class Rastgele extends AbstractOption
{
	public static function renderOption(\XF\Entity\Option $option, array $htmlParams)
	{
		$choices = [];
		
		foreach ($option->option_value AS $forum)
		{
			$choices[] = [
				'ids' => $forum['ids'],
				'link' => is_string($forum['link']) ? $forum['link'] : '',
			];
		}

		return self::getTemplate('admin:option_template_xgtSv9_rastgele_metin', $option, $htmlParams, [
			'choices' => $choices,
			'nextCounter' => count($choices)
		]);
	}

	public static function verifyOption(array &$values)
	{

		$output = [];

		foreach ($values AS $forum)
		{
			if (!isset($forum['ids']) || !isset($forum['link']))
			{
				continue;
			}

			$cache = self::buildBannerCacheValue($forum['ids'], $forum['link']);
			if ($cache)
			{
				$output[] = $cache;
			}
		}

		$values = $output;

		return true;
	}

	public static function buildBannerCacheValue($ids, $link)
	{
		$ids = trim(strval($ids));
		if ($ids === '')
		{
			return false;
		}

		$link = is_int($link) ? '' : trim(strval($link));

		$idsFind = $ids;

		if (!strlen($idsFind))
		{
			return false;
		}

		return [
			'ids' => $ids,
			'link' => $link,
		];
	}
}