<?php
/*
 * @ https://EasyToYou.eu - IonCube v11 Decoder Online
 * @ PHP 7.2
 * @ Decoder version: 1.0.4
 * @ Release: 01/09/2021
 */

namespace XenGenTr\XGTStyleV9;

class Setup extends \XF\AddOn\AbstractSetup
{
    use \XF\AddOn\StepRunnerInstallTrait;
    use \XF\AddOn\StepRunnerUpgradeTrait;
    use \XF\AddOn\StepRunnerUninstallTrait;
    public function installStep1()
    {
        $this->schemaManager()->alterTable("xf_node", function (\XF\Db\Schema\Alter $table) {
            $table->addColumn("xgtSv9_fa_ikon", "mediumblob")->nullable();
            $table->addColumn("xgtSv9_forum_ap", "varchar", 100)->setDefault("");
        });
    }
    public function installStep2()
    {
        $db = \XF::db();
        $check = $db->fetchAll("SHOW TABLES LIKE 'xf_forum_watch_group'");
        if (!$check) {
            $this->schemaManager()->createTable("xf_forum_watch_group", function (\XF\Db\Schema\Create $table) {
                $table->addColumn("watch_group_id", "varchar", 3);
                $table->addColumn("watch_group_type", "varchar", 3);
                $table->addPrimaryKey("watch_group_id");
            });
            $data = [];
            $data["xf_forum_watch_group"] = "\n\t            INSERT INTO `xf_forum_watch_group` (`watch_group_id`, `watch_group_type`)\n\t            VALUES\n\t                ('0','0')\n\t        ";
            $db = $this->db();
            foreach ($data as $dataQuery) {
                $db->query($dataQuery);
            }
        }
    }
    public function installStep3()
    {
        $db = \XF::db();
        $check = $db->fetchAll("SHOW TABLES LIKE 'xf_forum_group'");
        if (!$check) {
            $this->schemaManager()->createTable("xf_forum_group", function (\XF\Db\Schema\Create $table) {
                $table->addColumn("forum_group_id", "varchar", 3);
                $table->addColumn("forum_group_type", "varchar", 3);
                $table->addPrimaryKey("forum_group_id");
            });
            $data = [];
            $data["xf_forum_watch_group"] = "\n\t            INSERT INTO `xf_forum_group` (`forum_group_id`, `forum_group_type`)\n\t            VALUES\n\t                ('0','0')\n\t        ";
            $db = $this->db();
            foreach ($data as $dataQuery) {
                $db->query($dataQuery);
            }
        }
    }
    public function installStep4()
    {
        $this->createWidget("xgtSv9_footer_istatistik", "xgtSv9Footeristatistik_wd", ["positions" => []]);
        $this->createWidget("xgtSv9_enyeni_kullanicilar", "xgtSv9Enyeniler_wd", ["positions" => []]);
        $this->createWidget("xgtSv9_eniyi_kullanicilar", "xgtSv9EniyiKullanici_wd", ["positions" => []]);
        $this->createWidget("xgtSv9_tepki_lideri_konular", "xgtSv9TepkiLideriKonu_wd", ["positions" => []]);
        $this->createWidget("xgtSv9_kullanici_paneli", "xgtSv9KullaniciPaneli_wd", ["positions" => []]);
    }
    public function uninstallStep1()
    {
        $this->schemaManager()->alterTable("xf_node", function (\XF\Db\Schema\Alter $table) {
            $table->dropColumns("xgtSv9_fa_ikon");
            $table->dropColumns("xgtSv9_forum_ap");
        });
    }
    public function uninstallStep2()
    {
        $this->deleteWidget("xgtSv9Footeristatistik_wd");
        $this->deleteWidget("xgtSv9Enyeniler_wd");
        $this->deleteWidget("xgtSv9EniyiKullanici_wd");
        $this->deleteWidget("xgtSv9TepkiLideriKonu_wd");
        $this->deleteWidget("xgtSv9KullaniciPaneli_wd");
    }
}

?>