<?php

namespace XenGenTr\XGTStyleV9\Widget;

use XF\Widget\AbstractWidget;

class EnYeniler extends AbstractWidget
{
    protected $defaultOptions = [
        'rich_usernames' => true,
        'show_counter'   => false,
    ];

    public function render()
    {

        if (!\XF::visitor()->canViewMemberList())
        {
            return '';
        }

        $userFinder = $this->finder('XF:User')
            ->isValidUser()
            ->order('register_date', 'DESC')
            ->limit(5);

        $viewParams = [
            'users' => $userFinder->fetch()
        ];
        return $this->renderer('xgtSv9_enyeni_kullanicilar', $viewParams);
    }

    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
    {
        $options = $request->filter([
            'limit' => 'uint',
            'rich_usernames' => 'bool',
            'show_counter' => 'bool',
        ]);

        if ($options['limit'] < 1)
        {
            $options['limit'] = 1;
        }

        return true;
    }
}
