<?php

namespace XenGenTr\XGTStyleV9\XF\Repository;

use XF\Mvc\Entity\Finder;
use XF\Mvc\Entity\Repository;

class MemberStat extends Repository
{
    protected function getSonKayitOlanlarList($onlineCutOff, $limit)
    {

        $daysCutOff = $onlineCutOff / 24;
        $finder = $this->finder('XF:User');

        $finder->where('user_state', 'valid')
            ->where('register_date', '>=', time() - (86400 * $daysCutOff));

        $kisitlamalar = $this->gorunurlukKisitlamalari();

        if($kisitlamalar)
        {
            $finder->whereOr($kisitlamalar);
        }

        if($limit)
        {
            $finder->limit($limit);
        }

        return $finder->fetch();
    }

    protected function gorunurlukKisitlamalari()
    {
        $visitor = \XF::visitor();

        if (!$visitor->canBypassUserPrivacy())
        {
            $kisitlamalar = [['visible', '!=', 0],
                ['user_id', '=', $visitor->user_id]
            ];

        }
        else
        {
            $kisitlamalar = null;
        }

        return $kisitlamalar;
    }

    protected function applyLimit($users, $limit)
    {
        if($limit === 0)
        {
            return $users;
        }
        elseif(count($users) === 0)
        {
            return $users;
        }
        else
        {
            $users = array_slice($users,0, $limit);
            return $users;
        }
    }

    public function getSonKayitOlanlarVeri($daysCutOff, $userLimit)
    {

        $users = $this->getSonKayitOlanlarList($daysCutOff, $userLimit);

        $allUsers = $this->getSonKayitOlanlarList($daysCutOff, 0);

        $counts = count($allUsers);

        return [
            'users' => $users,
            'counts' => $counts
        ];
    }
}